%define major 11
%define libname %mklibname pinyin %major
%define develname %mklibname -d pinyin

Name: libpinyin
Version: 2.0.0
Release: %mkrel 1
Summary: The library of a sentence-based Chinese pinyin input method
Source0: https://github.com/libpinyin/libpinyin/archive/%{name}-%{version}.tar.gz
Source1: http://downloads.sourceforge.net/libpinyin/models/model14.text.tar.gz
License: GPLv2+
Group: System/Internationalization
Url: https://github.com/libpinyin/libpinyin
Buildrequires: pkgconfig(glib-2.0) >= 2.4.0
Buildrequires: db-devel
BuildRequires: gnome-common
 
%description
The libpinyin project aims to provide the algorithms core for intelligent
sentence-based Chinese pinyin input methods.

%package	-n %libname
Summary:	Shared library for %name
Group:		System/Internationalization
Requires:	%{name}-data >= %{version}

%description	-n %libname
The libpinyin project aims to provide the algorithms core for intelligent
sentence-based Chinese pinyin input methods.

%package        -n %develname
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}

%description    -n %develname
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%package        data
Summary:        Data files for %{name}

%description    data
The %{name}-data package contains data files.

%package        tools
Summary:        Tools for %{name}
Requires:       %{libname} >= %{version}

%description    tools
The %{name}-tools package contains tools for training inputting habit.

%prep
%setup -q
tar xf %{SOURCE1} -C data

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x --disable-static --disable-dependency-tracking
%make 

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %libname
%doc AUTHORS COPYING README
%dir %{_libdir}/libpinyin
%{_libdir}/%name.so.%major
%{_libdir}/%name.so.%major.*

%files -n %develname
%{_includedir}/libpinyin*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libpinyin.pc

%files data
%{_libdir}/libpinyin/data

%files tools
%{_bindir}/gen_binary_files
%{_bindir}/import_interpolation
%{_bindir}/gen_unigram
%{_mandir}/man1/*.1.*


%changelog
* Thu May 18 2017 yochenhsieh <yochenhsieh> 2.0.0-1.mga6
+ Revision: 1103022
- New version 2.0.0

* Wed Jan 04 2017 yochenhsieh <yochenhsieh> 1.7.0-1.mga6
+ Revision: 1080038
- New version 1.7.0

* Fri Mar 04 2016 fwang <fwang> 1.3.0-1.mga6
+ Revision: 985415
- bump libmajor
- 1.3.0

* Thu Feb 11 2016 umeabot <umeabot> 1.2.0-2.mga6
+ Revision: 955615
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 fwang <fwang> 1.2.0-1.mga6
+ Revision: 869582
- bump libmajor
- 1.2.0

* Sat Jul 04 2015 fwang <fwang> 1.1.0-1.mga6
+ Revision: 849873
- bump libmajor
- use autogen
- 1.1.0

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 748308
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 681709
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 fwang <fwang> 1.0.0-1.mga5
+ Revision: 583133
- new version 1.0.0

* Sat Oct 19 2013 umeabot <umeabot> 0.9.93-2.mga4
+ Revision: 529069
- Mageia 4 Mass Rebuild

* Wed Jul 03 2013 fwang <fwang> 0.9.93-1.mga4
+ Revision: 449840
- new version 0.9.93

* Mon Jun 24 2013 fwang <fwang> 0.9.92-1.mga4
+ Revision: 446152
- new version 0.9.92

* Fri Jun 07 2013 fwang <fwang> 0.9.91-1.mga4
+ Revision: 438781
- new version 0.9.91

* Sat Feb 16 2013 fwang <fwang> 0.8.0-4.mga3
+ Revision: 398671
- add upstream patch to fix incomplete pinyin dealing

* Sat Jan 12 2013 umeabot <umeabot> 0.8.0-3.mga3
+ Revision: 357969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 fwang <fwang> 0.8.0-2.mga3
+ Revision: 321163
- fix requires

* Fri Nov 23 2012 fwang <fwang> 0.8.0-1.mga3
+ Revision: 321158
- fix pkgname
- use lib policy
- update file list
- more fixes
- force reconf
- fix linkage
- cleanup spec

  + zezinho <zezinho>
    - imported package libpinyin

